########################################
# -*- coding:Utf-8 -*- 
########################################
import es, playerlib, gamethread, popuplib, psyco, usermsg
from es import server_var
psyco.full()

message_popup = es.ServerVar("avoir_popup")
message_top = es.ServerVar("avoir_message_top")
message_hint = es.ServerVar("avoir_message_hint")
message_tchat = es.ServerVar("avoir_message_tchat")

info = es.AddonInfo()
info.name = "Bombe_Tools"
info.author = "Sylv@in"

# Création variable version
version_addons_Bombe_Tools = es.ServerVar("addons_Python_Bombe_Tools", "1.0")
# attribution de la valeur (au cas où celle si existe deja)
version_addons_Bombe_Tools.set("1.0")
# la rendre plublic
version_addons_Bombe_Tools.makepublic()

def load():

    #es.server.cmd("es_xmexec ../addons/eventscripts/bombe_tools/bombe_tools.cfg")
    es.mexec("../addons/eventscripts/bombe_tools/bombe_tools.cfg")
    
    menubombe = popuplib.create("menu_bombe")
    menubombe.timeout("view", 10)
    menubombe.addline("Ou vas tu poser la Bombe ? :" )
    menubombe.addline(" ")
    menubombe.addline("->1. Au point A")
    menubombe.addline("->2. Au point B")
    menubombe.addline("0. Sortir du Menu")
    menubombe.addline(" ")
    menubombe.enablekeys="012"

    menubombe.menuselect = check_reponse 

    menua = popuplib.create("menu_a") 
    menua.timeout("view", 5)
    menua.addline("INFO BOMBE")
    menua.addline(" ")
    menua.addline("Le poseur de Bombe va en A")
    menua.addline(" ")
    menua.addline("Suivez le !!!")

    menub = popuplib.create("menu_b")
    menub.timeout("view", 5)
    menub.addline("INFO BOMBE")
    menub.addline(" ")
    menub.addline("Le poseur de Bombe va en B")
    menub.addline(" ")
    menub.addline("Suivez le !!!")

    menurien = popuplib.create("menu_rien")
    menurien.timeout("view", 5)
    menurien.addline("INFO BOMBE")
    menurien.addline(" ")
    menurien.addline("Le poseur ne veut pas d'aide !!!")
    menurien.addline(" ")
    menurien.addline("Suivez le quand meme LOL")

def unload():

    if popuplib.exists("menu_bombe"): 
        # fermeture du menu
        popuplib.unsendname("menu_bombe", playerlib.getUseridList("#all"))
        # destruction du menu
        popuplib.delete("menu_bombe")

    if popuplib.exists("menu_a"): 
        # fermeture du menu
        popuplib.unsendname("menu_a", playerlib.getUseridList("#all"))
        # destruction du menu
        popuplib.delete("menu_a")

    if popuplib.exists("menu_b"): 
        # fermeture du menu
        popuplib.unsendname("menu_b", playerlib.getUseridList("#all"))
        # destruction du menu
        popuplib.delete("menu_b")

    if popuplib.exists("menu_rien"): 
        # fermeture du menu
        popuplib.unsendname("menu_rien", playerlib.getUseridList("#all"))
        # destruction du menu
        popuplib.delete("menu_rien")

def bomb_pickup(ev):

    bombe_ok = "1"
    popuplib.send("menu_bombe", ev["userid"])

def bomb_dropped(ev):

    bombe_ok = "0"
    es.msg("#multi", "#green[Bombe Info]==>#default "+str(ev["es_username"])+" #greenA PERDU LA BOMBE")
    es.centermsg ("LA BOMBE EST PAR TERRE !!!")
    gamethread.delayed (1, es.centermsg, "LA BOMBE EST PAR TERRE !!!")
    gamethread.delayed (2, es.centermsg, "LA BOMBE EST PAR TERRE !!!")

def bomb_planted(ev):

    bombe_ok = "0"

def check_reponse(userid, choix, menu_bombe):

    bombe_ok = "0"
    
    if message_tchat == "1":
        if choix == 1:
            es.sexec(userid, "say_team Je vais poser la bombe en A , Suivez moi !!!")
        elif choix == 2:
            es.sexec(userid, "say_team Je vais poser la bombe en B , Suivez moi !!!")
        else:
            es.sexec(userid, "say_team Je ne veux pas d'aide. Mais suivez moi quand même LOL")

    for userid in playerlib.getUseridList("#t"):
        if choix == 1:
            if message_popup == "1":
                popuplib.send("menu_a", userid)
            if message_top == "1":
                    es.toptext (userid, 10, "LA BOMBE VA EN A")
            if message_hint == "1":
                    usermsg.hudhint(userid, "INFO BOMBE\nLe poseur de Bombe va en A\n Suivez le !!!")
        elif choix == 2:
            if message_popup == "1":
                popuplib.send("menu_b", userid)
            if message_top == "1":
                    es.toptext (userid, 10, "LA BOMBE VA EN B")
            if message_hint == "1":
                    usermsg.hudhint(userid, "INFO BOMBE\nLe poseur de Bombe va en B\n Suivez le !!!")
        else:
            if message_popup == "1":
                popuplib.send("menu_rien", userid)
            if message_top == "1":
                    es.toptext (userid, 10, "LE POSEUR NE VEUX PAS D'AIDE")
            if message_hint == "1":
                    usermsg.hudhint(userid, "INFO BOMBE\nLe poseur ne veux pas d'aide\n Suivez le quand même LOL")
